---
page_source: https://juspay.io/in/docs/payment-method-integrations/express-checkout-api/simpl-pay-after-delivery-multiclaim/list-wallet
page_title: List Wallet
---

## API Version: default


# List Wallet API



Fetches the wallet details of a customer already linked to SIMPL.

Direct Wallet token received in the list wallet response should be passed for performing direct debit transactions.## Endpoints:
- Sandbox: https://sandbox.juspay.in

- Production: https://api.juspay.in

## Request Type: 
GET

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Auth example
- Value: MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: required
## Sample Code Snippets:
### Code Snippets:

#### Shell Code Snippet:

```shell
curl --location 'https://sandbox.juspay.in/customers/cth_rn94E73AizRcUCZf/wallets' \ 
--header 'Authorization: Basic N0JBRDA4OUExRjxxxxxxxxxxxxlCNjY3QTVCMUQzM0Q6'

```

### Sample Request and Response:

#### Response:
```json
{
    "list": [
        {
            "wallet": "SIMPL",
            "token": "tk_90e2003b211f4fd4a769ccb1ccb3cfc8",
            "last_refreshed": "2023-12-18T07:38:37Z",
            "juspay_bank_code": null,
            "object": "wallet_account",
            "id": "wlm_b7f2f74e840d4f3ea99659dc183e8a7f",
            "current_balance": null,
            "sub_details": [
                {
                    "payment_method": "SIMPL_SOD",
                    "payment_method_type": "WALLET",
                    "last_refreshed": "2023-12-18T07:38:37Z",
                    "current_balance": 1997300
                },
                {
                    "payment_method": "SIMPL",
                    "payment_method_type": "WALLET",
                    "last_refreshed": "2023-12-18T07:38:37Z",
                    "current_balance": null
                }
            ],
            "linked": true
        }
    ],
    "offset": 0,
    "count": 1,
    "total": 1,
    "object": "list"
}
```

## Path Parameters:

#### customer_id:
- Tags: String, Mandatory
## API Responses:
